Developer
Get Support
Sign in
Get Support
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
Sign in
DOCUMENTATION
Cloud
Data Center
Resources
Sign in
  • Key-Value Store
  • Custom Entity Store
  • Transaction
  • Batch
Platform
Forge / Reference / KVS/Custom Entity Store API

Batch

Postman Collection
OpenAPI

The Batch API allows you to perform multiple operations on key-value pairs and/or custom entities in a single request. This can improve performance by reducing the number of network calls.

POST

Batch set key-value pairs

Sets multiple Key-Value Store and/or Custom Entity Store values in a single operation. Returns a type BatchResponse which contains successfulKeys and failedKeys.

Forge and OAuth2 apps cannot access this REST resource.

Request

Request bodyapplication/json

array<anyOf [BatchSetTypedItemSchema, BatchSetUntypedItemSchema]>

Responses

Successfully set the keys to their corresponding values, returns list of successful and failed keys. Failed keys will contain details of the failure error codes.

application/json

BatchSetResponseSchema
POST/v1/batch/set
1 2 3 4 5 6 7 8 9 10 11 curl --request POST \ --url 'https://api.atlassian.com/forge/storage/kvs/v1/batch/set' \ --header 'Accept: application/json' \ --header 'Content-Type: application/json' \ --data '[ { "key": "<string>", "value": "<string>", "entityName": "<string>" } ]'
200Response
1 2 3 4 5 6 7 8 9 10 11 12 13 14 { "successfulKeys": [ { "key": "<string>", "entityName": "<string>" } ], "failedKeys": [ { "key": "<string>", "entityName": "<string>" } ] }

Rate this page: